Skip to main content

Consumer

View as Markdown

Listing object​

idstring
summaryobject
Show child attributesHide child attributes
namestring
subtitlestring
statusstring

Enums

Values:

  • DRAFT
  • PENDING
  • PUBLISHED
  • SUSPENDED
shareobject
Show child attributesHide child attributes
namestring
typestring

Values:

  • SAMPLE
  • FULL
provider_regionobject
Show child attributesHide child attributes
cloudstring
regionstring
settingobject
Show child attributesHide child attributes
visibilitystring

Values:

  • PUBLIC
  • PRIVATE
created_atint64
created_bystring
updated_atint64
updated_bystring
published_atint64
published_bystring
categoriesarray of string

Values:

Show 22 possible values
  • ADVERTISING_AND_MARKETING
  • CLIMATE_AND_ENVIRONMENT
  • COMMERCE
  • DEMOGRAPHICS
  • ECONOMICS
  • EDUCATION
  • ENERGY
  • FINANCIAL
  • GAMING
  • GEOSPATIAL
  • HEALTH
  • LOOKUP_TABLES
  • MANUFACTURING
  • MEDIA
  • OTHER
  • PUBLIC_SECTOR
  • RETAIL
  • SECURITY
  • SCIENCE_AND_RESEARCH
  • SPORTS
  • TRANSPORTATION_AND_LOGISTICS
  • TRAVEL_AND_TOURISM
listingTypestring

Values:

  • STANDARD
  • PERSONALIZED
created_by_idint64
updated_by_idint64
provider_idstring
exchange_idsarray of string
git_repoobject

if a git repo is being created, a listing will be initialized with this field as opposed to a share

Show child attributesHide child attributes
git_repo_urlstring

the git repo url e.g. https://github.com/databrickslabs/dolly.git

detailobject
Show child attributesHide child attributes
descriptionstring
terms_of_servicestring
file_idsarray of string
embedded_notebook_file_infosarray of object
Show child attributesHide child attributes
idstring
marketplace_file_typestring

Values:

  • PROVIDER_ICON
  • EMBEDDED_NOTEBOOK
  • APP
file_parentobject
Show child attributesHide child attributes
parent_idstring
file_parent_typestring

Values:

  • PROVIDER
  • LISTING
  • LISTING_RESOURCE
mime_typestring
created_atint64
updated_atint64
display_namestring

Name displayed to users for applicable files, e.g. embedded notebooks

statusstring

Values:

  • FILE_STATUS_PUBLISHED
  • FILE_STATUS_STAGING
  • FILE_STATUS_SANITIZING
  • FILE_STATUS_SANITIZATION_FAILED
status_messagestring

Populated if status is in a failed state with more information on reason for the failure.

geographical_coveragestring

Which geo region the listing data is collected from

coststring

Whether the dataset is free or paid

Values:

  • FREE
  • PAID
pricing_modelstring

What the pricing model is (e.g. paid, subscription, paid upfront); should only be present if cost is paid

update_frequencyobject

How often data is updated

Show child attributesHide child attributes
intervalint64
unitstring

Values:

  • NONE
  • SECOND
  • MINUTE
  • HOURLY
  • DAILY
  • WEEKLY
  • MONTHLY
  • QUARTERLY
  • YEARLY
collection_granularityobject

Smallest unit of time in the dataset

Show child attributesHide child attributes
intervalint64
unitstring

Values:

  • NONE
  • SECOND
  • MINUTE
  • HOURLY
  • DAILY
  • WEEKLY
  • MONTHLY
  • QUARTERLY
  • YEARLY
collection_date_startint64

The starting date timestamp for when the data spans

collection_date_endint64

The ending date timestamp for when the data spans

data_sourcestring

Where/how the data is sourced

sizedouble

size of the dataset in GB

assetsarray of string

Type of assets included in the listing. eg. GIT_REPO, DATA_TABLE, MODEL, NOTEBOOK

Values:

  • ASSET_TYPE_UNSPECIFIED
  • ASSET_TYPE_GIT_REPO
  • ASSET_TYPE_DATA_TABLE
  • ASSET_TYPE_MODEL
  • ASSET_TYPE_NOTEBOOK
  • ASSET_TYPE_MEDIA
  • ASSET_TYPE_PARTNER_INTEGRATION
  • ASSET_TYPE_APP
  • ASSET_TYPE_MCP
licensestring

ID 20, 21 removed don't use License of the data asset - Required for listings with model based assets

tagsarray of object

Listing tags - Simple key value pair to annotate listings. When should I use tags vs dedicated fields? Using tags avoids the need to add new columns in the database for new annotations. However, this should be used sparingly since tags are stored as key value pair. Use tags only:

  1. If the field is optional and won't need to have NOT NULL integrity check
  2. The value is fairly fixed, static and low cardinality (eg. enums).
  3. The value won't be used in filters or joins with other tables.
Show child attributesHide child attributes
tag_namestring

Tag name (enum)

Values:

  • LISTING_TAG_TYPE_UNSPECIFIED
  • LISTING_TAG_TYPE_LANGUAGE
  • LISTING_TAG_TYPE_TASK
tag_valuesarray of string

String representation of the tag value. Values should be string literals (no complex types)

Get listing GA​

GET /api/2.1/marketplace-consumer/listings/{id}

Get a published listing in the Databricks Marketplace that the consumer has access to.

API scopes: marketplace

Parameters​

idstringRequiredpath

Response​

listingobject
Show child attributesHide child attributes
idstring
summaryobjectRequired
Show child attributesHide child attributes
namestringRequired
subtitlestring
statusstring

Enums

Values:

  • DRAFT
  • PENDING
  • PUBLISHED
  • SUSPENDED
shareobject
Show child attributesHide child attributes
namestringRequired
typestringRequired

Values:

  • SAMPLE
  • FULL
provider_regionobject
Show child attributesHide child attributes
cloudstring
regionstring
settingobject
Show child attributesHide child attributes
visibilitystring

Values:

  • PUBLIC
  • PRIVATE
created_atint64
created_bystring
updated_atint64
updated_bystring
published_atint64
published_bystring
categoriesarray of string

Values:

Show 22 possible values
  • ADVERTISING_AND_MARKETING
  • CLIMATE_AND_ENVIRONMENT
  • COMMERCE
  • DEMOGRAPHICS
  • ECONOMICS
  • EDUCATION
  • ENERGY
  • FINANCIAL
  • GAMING
  • GEOSPATIAL
  • HEALTH
  • LOOKUP_TABLES
  • MANUFACTURING
  • MEDIA
  • OTHER
  • PUBLIC_SECTOR
  • RETAIL
  • SECURITY
  • SCIENCE_AND_RESEARCH
  • SPORTS
  • TRANSPORTATION_AND_LOGISTICS
  • TRAVEL_AND_TOURISM
listingTypestringRequired

Values:

  • STANDARD
  • PERSONALIZED
created_by_idint64
updated_by_idint64
provider_idstring
exchange_idsarray of string
git_repoobject

if a git repo is being created, a listing will be initialized with this field as opposed to a share

Show child attributesHide child attributes
git_repo_urlstringRequired

the git repo url e.g. https://github.com/databrickslabs/dolly.git

detailobject
Show child attributesHide child attributes
descriptionstring
terms_of_servicestring
file_idsarray of string
embedded_notebook_file_infosarray of object
Show child attributesHide child attributes
idstring
marketplace_file_typestring

Values:

  • PROVIDER_ICON
  • EMBEDDED_NOTEBOOK
  • APP
file_parentobject
Show child attributesHide child attributes
parent_idstring
file_parent_typestring

Values:

  • PROVIDER
  • LISTING
  • LISTING_RESOURCE
mime_typestring
created_atint64
updated_atint64
display_namestring

Name displayed to users for applicable files, e.g. embedded notebooks

statusstring

Values:

  • FILE_STATUS_PUBLISHED
  • FILE_STATUS_STAGING
  • FILE_STATUS_SANITIZING
  • FILE_STATUS_SANITIZATION_FAILED
status_messagestring

Populated if status is in a failed state with more information on reason for the failure.

geographical_coveragestring

Which geo region the listing data is collected from

coststring

Whether the dataset is free or paid

Values:

  • FREE
  • PAID
pricing_modelstring

What the pricing model is (e.g. paid, subscription, paid upfront); should only be present if cost is paid

update_frequencyobject

How often data is updated

Show child attributesHide child attributes
intervalint64Required
unitstringRequired

Values:

  • NONE
  • SECOND
  • MINUTE
  • HOURLY
  • DAILY
  • WEEKLY
  • MONTHLY
  • QUARTERLY
  • YEARLY
collection_granularityobject

Smallest unit of time in the dataset

Show child attributesHide child attributes
intervalint64Required
unitstringRequired

Values:

  • NONE
  • SECOND
  • MINUTE
  • HOURLY
  • DAILY
  • WEEKLY
  • MONTHLY
  • QUARTERLY
  • YEARLY
collection_date_startint64

The starting date timestamp for when the data spans

collection_date_endint64

The ending date timestamp for when the data spans

data_sourcestring

Where/how the data is sourced

sizedouble

size of the dataset in GB

assetsarray of string

Type of assets included in the listing. eg. GIT_REPO, DATA_TABLE, MODEL, NOTEBOOK

Values:

  • ASSET_TYPE_UNSPECIFIED
  • ASSET_TYPE_GIT_REPO
  • ASSET_TYPE_DATA_TABLE
  • ASSET_TYPE_MODEL
  • ASSET_TYPE_NOTEBOOK
  • ASSET_TYPE_MEDIA
  • ASSET_TYPE_PARTNER_INTEGRATION
  • ASSET_TYPE_APP
  • ASSET_TYPE_MCP
licensestring

ID 20, 21 removed don't use License of the data asset - Required for listings with model based assets

tagsarray of object

Listing tags - Simple key value pair to annotate listings. When should I use tags vs dedicated fields? Using tags avoids the need to add new columns in the database for new annotations. However, this should be used sparingly since tags are stored as key value pair. Use tags only:

  1. If the field is optional and won't need to have NOT NULL integrity check
  2. The value is fairly fixed, static and low cardinality (eg. enums).
  3. The value won't be used in filters or joins with other tables.
Show child attributesHide child attributes
tag_namestring

Tag name (enum)

Values:

  • LISTING_TAG_TYPE_UNSPECIFIED
  • LISTING_TAG_TYPE_LANGUAGE
  • LISTING_TAG_TYPE_TASK
tag_valuesarray of string

String representation of the tag value. Values should be string literals (no complex types)

List listings GA​

GET /api/2.1/marketplace-consumer/listings

List all published listings in the Databricks Marketplace that the consumer has access to.

API scopes: marketplace

Parameters​

page_tokenstringquery
page_sizeint32query
assetsarray of stringquery

Matches any of the following asset types

Values:

  • ASSET_TYPE_UNSPECIFIED
  • ASSET_TYPE_GIT_REPO
  • ASSET_TYPE_DATA_TABLE
  • ASSET_TYPE_MODEL
  • ASSET_TYPE_NOTEBOOK
  • ASSET_TYPE_MEDIA
  • ASSET_TYPE_PARTNER_INTEGRATION
  • ASSET_TYPE_APP
  • ASSET_TYPE_MCP
categoriesarray of stringquery

Matches any of the following categories

Values:

Show 22 possible values
  • ADVERTISING_AND_MARKETING
  • CLIMATE_AND_ENVIRONMENT
  • COMMERCE
  • DEMOGRAPHICS
  • ECONOMICS
  • EDUCATION
  • ENERGY
  • FINANCIAL
  • GAMING
  • GEOSPATIAL
  • HEALTH
  • LOOKUP_TABLES
  • MANUFACTURING
  • MEDIA
  • OTHER
  • PUBLIC_SECTOR
  • RETAIL
  • SECURITY
  • SCIENCE_AND_RESEARCH
  • SPORTS
  • TRANSPORTATION_AND_LOGISTICS
  • TRAVEL_AND_TOURISM
tagsobjectquery

Matches listings with this tag

Show child attributesHide child attributes
tag_namestring

Tag name (enum)

Values:

  • LISTING_TAG_TYPE_UNSPECIFIED
  • LISTING_TAG_TYPE_LANGUAGE
  • LISTING_TAG_TYPE_TASK
tag_valuesarray of string

String representation of the tag value. Values should be string literals (no complex types)

is_freebooleanquery

Filters each listing based on if it is free.

is_private_exchangebooleanquery

Filters each listing based on if it is a private exchange.

is_staff_pickbooleanquery

Filters each listing based on whether it is a staff pick.

provider_idsarray of stringquery

Matches any of the following provider ids

Response​

Returns a list of Listing objects.

Install from a listing GA​

POST /api/2.1/marketplace-consumer/listings/{listing_id}/installations

Install payload associated with a Databricks Marketplace listing.

API scopes: marketplace

Parameters​

listing_idstringRequiredpath

Request body​

share_namestring
catalog_namestring
repo_detailobject

for git repo installations

Show child attributesHide child attributes
repo_namestringRequired

the user-specified repo name for their installed git repo listing

repo_pathstringRequired

refers to the full url file path that navigates the user to the repo's entrypoint (e.g. a README.md file, or the repo file view in the unified UI) should just be a relative path

recipient_typestring

Values:

  • DELTA_SHARING_RECIPIENT_TYPE_DATABRICKS
  • DELTA_SHARING_RECIPIENT_TYPE_OPEN
accepted_consumer_termsobject
Show child attributesHide child attributes
versionstringRequired

Response​

installationobject
Show child attributesHide child attributes
idstring
listing_idstring
share_namestring
catalog_namestring
installed_onint64
statusstring

Values:

  • INSTALLED
  • FAILED
error_messagestring
listing_namestring
repo_namestring
repo_pathstring
recipient_typestring

Values:

  • DELTA_SHARING_RECIPIENT_TYPE_DATABRICKS
  • DELTA_SHARING_RECIPIENT_TYPE_OPEN
tokensarray of object
Show child attributesHide child attributes
idstring

Unique id of the Recipient Token.

created_atint64

Time at which this Recipient Token was created, in epoch milliseconds.

created_bystring

Username of Recipient Token creator.

activation_urlstring

Full activation url to retrieve the access token. It will be empty if the token is already retrieved.

expiration_timeint64

Expiration timestamp of the token in epoch milliseconds.

updated_atint64

Time at which this Recipient Token was updated, in epoch milliseconds.

updated_bystring

Username of Recipient Token updater.

token_detailobject
Show child attributesHide child attributes
shareCredentialsVersionint32

These field names must follow the delta sharing protocol. Original message: RetrieveToken.Response in managed-catalog/api/messages/recipient.proto

bearerTokenstring
endpointstring
expirationTimestring

Update an installation GA​

PUT /api/2.1/marketplace-consumer/listings/{listing_id}/installations/{installation_id}

This is a update API that will update the part of the fields defined in the installation table as well as interact with external services according to the fields not included in the installation table

  1. the token will be rotate if the rotateToken flag is true
  2. the token will be forcibly rotate if the rotateToken flag is true and the tokenInfo field is empty

API scopes: marketplace

Parameters​

listing_idstringRequiredpath
installation_idstringRequiredpath

Request body​

installationobjectRequired
Show child attributesHide child attributes
idstring
listing_idstring
share_namestring
catalog_namestring
installed_onint64
statusstring

Values:

  • INSTALLED
  • FAILED
error_messagestring
listing_namestring
repo_namestring
repo_pathstring
recipient_typestring

Values:

  • DELTA_SHARING_RECIPIENT_TYPE_DATABRICKS
  • DELTA_SHARING_RECIPIENT_TYPE_OPEN
tokensarray of object
Show child attributesHide child attributes
idstring

Unique id of the Recipient Token.

created_atint64

Time at which this Recipient Token was created, in epoch milliseconds.

created_bystring

Username of Recipient Token creator.

activation_urlstring

Full activation url to retrieve the access token. It will be empty if the token is already retrieved.

expiration_timeint64

Expiration timestamp of the token in epoch milliseconds.

updated_atint64

Time at which this Recipient Token was updated, in epoch milliseconds.

updated_bystring

Username of Recipient Token updater.

token_detailobject
Show child attributesHide child attributes
shareCredentialsVersionint32

These field names must follow the delta sharing protocol. Original message: RetrieveToken.Response in managed-catalog/api/messages/recipient.proto

bearerTokenstring
endpointstring
expirationTimestring
rotate_tokenboolean

Response​

installationobject
Show child attributesHide child attributes
idstring
listing_idstring
share_namestring
catalog_namestring
installed_onint64
statusstring

Values:

  • INSTALLED
  • FAILED
error_messagestring
listing_namestring
repo_namestring
repo_pathstring
recipient_typestring

Values:

  • DELTA_SHARING_RECIPIENT_TYPE_DATABRICKS
  • DELTA_SHARING_RECIPIENT_TYPE_OPEN
tokensarray of object
Show child attributesHide child attributes
idstring

Unique id of the Recipient Token.

created_atint64

Time at which this Recipient Token was created, in epoch milliseconds.

created_bystring

Username of Recipient Token creator.

activation_urlstring

Full activation url to retrieve the access token. It will be empty if the token is already retrieved.

expiration_timeint64

Expiration timestamp of the token in epoch milliseconds.

updated_atint64

Time at which this Recipient Token was updated, in epoch milliseconds.

updated_bystring

Username of Recipient Token updater.

token_detailobject
Show child attributesHide child attributes
shareCredentialsVersionint32

These field names must follow the delta sharing protocol. Original message: RetrieveToken.Response in managed-catalog/api/messages/recipient.proto

bearerTokenstring
endpointstring
expirationTimestring

Uninstall from a listing GA​

DELETE /api/2.1/marketplace-consumer/listings/{listing_id}/installations/{installation_id}

Uninstall an installation associated with a Databricks Marketplace listing.

API scopes: marketplace

Parameters​

listing_idstringRequiredpath
installation_idstringRequiredpath

Get one batch of listings. One may specify up to 50 IDs per request GA​

GET /api/2.1/marketplace-consumer/listings:batchGet

Batch get a published listing in the Databricks Marketplace that the consumer has access to.

API scopes: marketplace

Parameters​

idsarray of stringquery

Response​

Returns a list of Listing objects.

Search listings GA​

GET /api/2.1/marketplace-consumer/search-listings

Search published listings in the Databricks Marketplace that the consumer has access to. This query supports a variety of different search parameters and performs fuzzy matching.

API scopes: marketplace

Parameters​

querystringRequiredquery

Fuzzy matches query

is_freebooleanquery
is_private_exchangebooleanquery
provider_idsarray of stringquery

Matches any of the following provider ids

categoriesarray of stringquery

Matches any of the following categories

Values:

Show 22 possible values
  • ADVERTISING_AND_MARKETING
  • CLIMATE_AND_ENVIRONMENT
  • COMMERCE
  • DEMOGRAPHICS
  • ECONOMICS
  • EDUCATION
  • ENERGY
  • FINANCIAL
  • GAMING
  • GEOSPATIAL
  • HEALTH
  • LOOKUP_TABLES
  • MANUFACTURING
  • MEDIA
  • OTHER
  • PUBLIC_SECTOR
  • RETAIL
  • SECURITY
  • SCIENCE_AND_RESEARCH
  • SPORTS
  • TRANSPORTATION_AND_LOGISTICS
  • TRAVEL_AND_TOURISM
assetsarray of stringquery

Matches any of the following asset types

Values:

  • ASSET_TYPE_UNSPECIFIED
  • ASSET_TYPE_GIT_REPO
  • ASSET_TYPE_DATA_TABLE
  • ASSET_TYPE_MODEL
  • ASSET_TYPE_NOTEBOOK
  • ASSET_TYPE_MEDIA
  • ASSET_TYPE_PARTNER_INTEGRATION
  • ASSET_TYPE_APP
  • ASSET_TYPE_MCP
page_tokenstringquery
page_sizeint32query

Response​

Returns a list of Listing objects.

List providers GA​

GET /api/2.1/marketplace-consumer/providers

List all providers in the Databricks Marketplace with at least one visible listing.

API scopes: marketplace

Parameters​

page_tokenstringquery
page_sizeint32query

Response​

providersarray of object
Show child attributesHide child attributes
idstring
namestringRequired
descriptionstring
icon_file_pathstring
business_contact_emailstringRequired
support_contact_emailstring
published_bystring

published_by is only applicable to data aggregators (e.g. Crux)

icon_file_idstring
dark_mode_icon_file_idstring
dark_mode_icon_file_pathstring
next_page_tokenstring

Get one batch of providers. One may specify up to 50 IDs per request GA​

GET /api/2.1/marketplace-consumer/providers:batchGet

Batch get a provider in the Databricks Marketplace with at least one visible listing.

API scopes: marketplace

Parameters​

idsarray of stringquery

Response​

providersarray of object
Show child attributesHide child attributes
idstring
namestringRequired
descriptionstring
icon_file_pathstring
business_contact_emailstringRequired
support_contact_emailstring
published_bystring

published_by is only applicable to data aggregators (e.g. Crux)

icon_file_idstring
dark_mode_icon_file_idstring
dark_mode_icon_file_pathstring

Get a provider GA​

GET /api/2.1/marketplace-consumer/providers/{id}

Get a provider in the Databricks Marketplace with at least one visible listing.

API scopes: marketplace

Parameters​

idstringRequiredpath

Response​

providerobject
Show child attributesHide child attributes
idstring
namestringRequired
descriptionstring
icon_file_pathstring
business_contact_emailstringRequired
support_contact_emailstring
published_bystring

published_by is only applicable to data aggregators (e.g. Crux)

icon_file_idstring
dark_mode_icon_file_idstring
dark_mode_icon_file_pathstring

List all installations GA​

GET /api/2.1/marketplace-consumer/installations

List all installations across all listings.

API scopes: marketplace

Parameters​

page_tokenstringquery
page_sizeint32query

Response​

installationsarray of object
Show child attributesHide child attributes
idstring
listing_idstring
share_namestring
catalog_namestring
installed_onint64
statusstring

Values:

  • INSTALLED
  • FAILED
error_messagestring
listing_namestring
repo_namestring
repo_pathstring
recipient_typestring

Values:

  • DELTA_SHARING_RECIPIENT_TYPE_DATABRICKS
  • DELTA_SHARING_RECIPIENT_TYPE_OPEN
tokensarray of object
Show child attributesHide child attributes
idstring

Unique id of the Recipient Token.

created_atint64

Time at which this Recipient Token was created, in epoch milliseconds.

created_bystring

Username of Recipient Token creator.

activation_urlstring

Full activation url to retrieve the access token. It will be empty if the token is already retrieved.

expiration_timeint64

Expiration timestamp of the token in epoch milliseconds.

updated_atint64

Time at which this Recipient Token was updated, in epoch milliseconds.

updated_bystring

Username of Recipient Token updater.

token_detailobject
Show child attributesHide child attributes
shareCredentialsVersionint32

These field names must follow the delta sharing protocol. Original message: RetrieveToken.Response in managed-catalog/api/messages/recipient.proto

bearerTokenstring
endpointstring
expirationTimestring
next_page_tokenstring

List installations for a listing GA​

GET /api/2.1/marketplace-consumer/listings/{listing_id}/installations

List all installations for a particular listing.

API scopes: marketplace

Parameters​

listing_idstringRequiredpath
page_tokenstringquery
page_sizeint32query

Response​

installationsarray of object
Show child attributesHide child attributes
idstring
listing_idstring
share_namestring
catalog_namestring
installed_onint64
statusstring

Values:

  • INSTALLED
  • FAILED
error_messagestring
listing_namestring
repo_namestring
repo_pathstring
recipient_typestring

Values:

  • DELTA_SHARING_RECIPIENT_TYPE_DATABRICKS
  • DELTA_SHARING_RECIPIENT_TYPE_OPEN
tokensarray of object
Show child attributesHide child attributes
idstring

Unique id of the Recipient Token.

created_atint64

Time at which this Recipient Token was created, in epoch milliseconds.

created_bystring

Username of Recipient Token creator.

activation_urlstring

Full activation url to retrieve the access token. It will be empty if the token is already retrieved.

expiration_timeint64

Expiration timestamp of the token in epoch milliseconds.

updated_atint64

Time at which this Recipient Token was updated, in epoch milliseconds.

updated_bystring

Username of Recipient Token updater.

token_detailobject
Show child attributesHide child attributes
shareCredentialsVersionint32

These field names must follow the delta sharing protocol. Original message: RetrieveToken.Response in managed-catalog/api/messages/recipient.proto

bearerTokenstring
endpointstring
expirationTimestring
next_page_tokenstring

List all listing fulfillments GA​

GET /api/2.1/marketplace-consumer/listings/{listing_id}/fulfillments

Get all listings fulfillments associated with a listing. A fulfillment is a potential installation. Standard installations contain metadata about the attached share or git repo. Only one of these fields will be present. Personalized installations contain metadata about the attached share or git repo, as well as the Delta Sharing recipient type.

API scopes: marketplace

Parameters​

listing_idstringRequiredpath
page_tokenstringquery
page_sizeint32query

Response​

fulfillmentsarray of object
Show child attributesHide child attributes
listing_idstringRequired
fulfillment_typestring

Values:

  • REQUEST_ACCESS
  • INSTALL
share_infoobject
Show child attributesHide child attributes
namestringRequired
typestringRequired

Values:

  • SAMPLE
  • FULL
repo_infoobject
Show child attributesHide child attributes
git_repo_urlstringRequired

the git repo url e.g. https://github.com/databrickslabs/dolly.git

recipient_typestring

Values:

  • DELTA_SHARING_RECIPIENT_TYPE_DATABRICKS
  • DELTA_SHARING_RECIPIENT_TYPE_OPEN
next_page_tokenstring

Get listing content metadata GA​

GET /api/2.1/marketplace-consumer/listings/{listing_id}/content

Get a high level preview of the metadata of listing installable content.

API scopes: marketplace

Parameters​

listing_idstringRequiredpath
page_tokenstringquery
page_sizeint32query

Response​

shared_data_objectsarray of object
Show child attributesHide child attributes
namestring

Name of the shared object

data_object_typestring

The type of the data object. Could be one of: TABLE, SCHEMA, NOTEBOOK_FILE, MODEL, VOLUME

next_page_tokenstring

Get the personalization request for a listing GA​

GET /api/2.1/marketplace-consumer/listings/{listing_id}/personalization-requests

Get the personalization request for a listing. Each consumer can make at most one personalization request for a listing.

API scopes: marketplace

Parameters​

listing_idstringRequiredpath

Response​

personalization_requestsarray of object
Show child attributesHide child attributes
idstring
consumer_regionobjectRequired
Show child attributesHide child attributes
cloudstring
regionstring
contact_infoobject
Show child attributesHide child attributes
first_namestring
last_namestring
emailstring
companystring
commentstring
intended_usestring
statusstring

Values:

  • NEW
  • REQUEST_PENDING
  • FULFILLED
  • DENIED
status_messagestring
shareobject

Share information is required for data listings but should be empty/ignored for non-data listings (MCP and App).

Show child attributesHide child attributes
namestringRequired
typestringRequired

Values:

  • SAMPLE
  • FULL
created_atint64
listing_idstring
updated_atint64
metastore_idstring
listing_namestring
is_from_lighthouseboolean
provider_idstring
recipient_typestring

Values:

  • DELTA_SHARING_RECIPIENT_TYPE_DATABRICKS
  • DELTA_SHARING_RECIPIENT_TYPE_OPEN

List all personalization requests GA​

GET /api/2.1/marketplace-consumer/personalization-requests

List personalization requests for a consumer across all listings.

API scopes: marketplace

Parameters​

page_tokenstringquery
page_sizeint32query

Response​

personalization_requestsarray of object
Show child attributesHide child attributes
idstring
consumer_regionobjectRequired
Show child attributesHide child attributes
cloudstring
regionstring
contact_infoobject
Show child attributesHide child attributes
first_namestring
last_namestring
emailstring
companystring
commentstring
intended_usestring
statusstring

Values:

  • NEW
  • REQUEST_PENDING
  • FULFILLED
  • DENIED
status_messagestring
shareobject

Share information is required for data listings but should be empty/ignored for non-data listings (MCP and App).

Show child attributesHide child attributes
namestringRequired
typestringRequired

Values:

  • SAMPLE
  • FULL
created_atint64
listing_idstring
updated_atint64
metastore_idstring
listing_namestring
is_from_lighthouseboolean
provider_idstring
recipient_typestring

Values:

  • DELTA_SHARING_RECIPIENT_TYPE_DATABRICKS
  • DELTA_SHARING_RECIPIENT_TYPE_OPEN
next_page_tokenstring

Create a personalization request GA​

POST /api/2.1/marketplace-consumer/listings/{listing_id}/personalization-requests

Create a personalization request for a listing.

API scopes: marketplace

Parameters​

listing_idstringRequiredpath

Request body​

commentstring
intended_usestringRequired
first_namestring
last_namestring
companystring
is_from_lighthouseboolean
recipient_typestring

Values:

  • DELTA_SHARING_RECIPIENT_TYPE_DATABRICKS
  • DELTA_SHARING_RECIPIENT_TYPE_OPEN
accepted_consumer_termsobjectRequired
Show child attributesHide child attributes
versionstringRequired

Response​

idstring